/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.xrtygis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.entity.TfPublicLeakageInfo;
import com.tofly.xrtygis.entity.dto.TfPublicLeakageInfoDto;
import org.apache.ibatis.annotations.Param;


/**
 * 公众参与漏点信息管理
 *
 * @author admin
 * @date Thu Mar 24 00:00:00 CST 2022
 */
public interface TfPublicLeakageInfoMapper extends BaseMapper<TfPublicLeakageInfo> {
    Page<TfPublicLeakageInfo> getTfPublicLeakageInfoPage(Page page, @Param(value = "tfPublicLeakageInfoDto") TfPublicLeakageInfoDto tfPublicLeakageInfoDto);

    int getPublicPeopleByYear(TfPublicLeakageInfoDto tfPublicLeakageInfoDto);

    int getLeakagePassByYear(TfPublicLeakageInfoDto tfPublicLeakageInfoDto);

    Integer getEstimateWaterByYear(TfPublicLeakageInfoDto tfPublicLeakageInfoDto);

    Integer getRewardWaterByYear(TfPublicLeakageInfoDto tfPublicLeakageInfoDto);

    int getLeakageInfoByYear(TfPublicLeakageInfoDto tfPublicLeakageInfoDto);

    int getPublicPeopleByQuarter(TfPublicLeakageInfoDto tfPublicLeakageInfoDto);

    int getLeakagePassByQuarter(TfPublicLeakageInfoDto tfPublicLeakageInfoDto);

    Integer getEstimateWaterByQuarter(TfPublicLeakageInfoDto tfPublicLeakageInfoDto);

    Integer getRewardWaterByQuarter(TfPublicLeakageInfoDto tfPublicLeakageInfoDto);

    int getLeakageInfoByQuarter(TfPublicLeakageInfoDto tfPublicLeakageInfoDto);

                                                            }
